<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/NewUI/OptionSelectorSlider.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d2a/_option_selector_slider_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">OptionSelectorSlider.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/d2a/_option_selector_slider_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>OptionSelectorSlider <span class="keyword">extends</span> <a class="code hl_class" href="../../de/deb/class_option_selector_slider_setup.html">OptionSelectorSliderSetup</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../de/deb/class_option_selector_slider_setup.html#acec848414957d6c7e344aed1710e8827">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../de/deb/class_option_selector_slider_setup.html#acec848414957d6c7e344aed1710e8827">OptionSelectorSlider</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> parent, <span class="keywordtype">float</span> value, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a> parent_menu, <span class="keywordtype">bool</span> disabled, <span class="keywordtype">float</span> min, <span class="keywordtype">float</span> max )</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>                  = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>( <span class="stringliteral">&quot;gui/layouts/new_ui/option_slider.layout&quot;</span>, parent );</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">        #ifdef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>                = parent.GetParent().GetParent();</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">        #else</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">        #ifdef PLATFORM_WINDOWS</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>            <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>                = parent.GetParent();</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        m_SelectorType              = 1;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_ParentClass               = parent_menu;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        m_Slider                    = SliderWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;option_value&quot;</span> ) );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_Slider.SetCurrent( value );</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="comment">//m_DisablePanel                = m_Parent.GetParent().FindAnyWidget( m_Parent.GetName() + &quot;_disable&quot; );</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment">        if ( !m_DisablePanel )</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="comment">        {</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="comment">            Print(&quot;Cant found disable panel: &quot;+ m_Parent.GetName() );</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="comment">        }</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment">        */</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#a81e4ac526fca9b019a3d0062468c6eaf">m_MinValue</a>                  = min;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#a235aff9165c969723084eacaeb9853cd">m_MaxValue</a>                  = max;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_function" href="../../d1/db8/_option_selector_multistate_8c.html#a34c12e1e7e7061e675e11f3d3692af3d">SetValue</a>( value );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_function" href="../../de/deb/class_option_selector_slider_setup.html#aae07460a05f0699c6ca339708c7d23b5">Enable</a>();</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span><span class="comment">        m_Enabled = !disabled;</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="comment">        if( m_Enabled )</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">        {</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">            Enable();</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment">        }</span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="comment">        else</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="comment">        {</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="comment">            Disable();</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">        }</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">        */</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="comment">//#ifdef PLATFORM_CONSOLE</span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a>.SetHandler( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="comment">//#endif</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>}</div>
<div class="ttc" id="a_option_selector_multistate_8c_html_a34c12e1e7e7061e675e11f3d3692af3d"><div class="ttname"><a href="../../d1/db8/_option_selector_multistate_8c.html#a34c12e1e7e7061e675e11f3d3692af3d">SetValue</a></div><div class="ttdeci">override void SetValue(int value, bool fire_event=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/db8/_option_selector_multistate_8c_source.html#l00246">OptionSelectorMultistate.c:246</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_a751d7c19a8c7fd3347343bf0af17bd53"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#a751d7c19a8c7fd3347343bf0af17bd53">m_Parent</a></div><div class="ttdeci">protected Widget m_Parent</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00092">SizeToChild.c:92</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="a_stamina_handler_8c_html_a235aff9165c969723084eacaeb9853cd"><div class="ttname"><a href="../../d5/d6b/_stamina_handler_8c.html#a235aff9165c969723084eacaeb9853cd">m_MaxValue</a></div><div class="ttdeci">float m_MaxValue</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_stamina_handler_8c_source.html#l00138">StaminaHandler.c:138</a></div></div>
<div class="ttc" id="a_stamina_handler_8c_html_a81e4ac526fca9b019a3d0062468c6eaf"><div class="ttname"><a href="../../d5/d6b/_stamina_handler_8c.html#a81e4ac526fca9b019a3d0062468c6eaf">m_MinValue</a></div><div class="ttdeci">float m_MinValue</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_stamina_handler_8c_source.html#l00138">StaminaHandler.c:138</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_option_selector_slider_setup_html"><div class="ttname"><a href="../../de/deb/class_option_selector_slider_setup.html">OptionSelectorSliderSetup</a></div><div class="ttdoc">This Option Selector handles a Slider Marker, which basically has 2 sliders One slider is for selecti...</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db0/_option_selector_level_marker_8c_source.html#l00006">OptionSelectorLevelMarker.c:7</a></div></div>
<div class="ttc" id="aclass_option_selector_slider_setup_html_aae07460a05f0699c6ca339708c7d23b5"><div class="ttname"><a href="../../de/deb/class_option_selector_slider_setup.html#aae07460a05f0699c6ca339708c7d23b5">OptionSelectorSliderSetup::Enable</a></div><div class="ttdeci">override void Enable()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db0/_option_selector_level_marker_8c_source.html#l00036">OptionSelectorLevelMarker.c:36</a></div></div>
<div class="ttc" id="aclass_option_selector_slider_setup_html_acec848414957d6c7e344aed1710e8827"><div class="ttname"><a href="../../de/deb/class_option_selector_slider_setup.html#acec848414957d6c7e344aed1710e8827">OptionSelectorSliderSetup::OptionSelectorSlider</a></div><div class="ttdeci">void OptionSelectorSlider(Widget parent, float value, ScriptedWidgetEventHandler parent_menu, bool disabled, float min, float max)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2a/_option_selector_slider_8c_source.html#l00003">OptionSelectorSlider.c:3</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00523">EnWidgets.c:524</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_5a24b5f2ae2b05194f42ac7ef23e72cc.html">NewUI</a></li><li class="navelem"><a class="el" href="../../d5/d2a/_option_selector_slider_8c.html">OptionSelectorSlider.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
